import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class Servlet2 extends HttpServlet{
	String muutuja1, muutuja2;
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
	vastus.setContentType("text/html");
	PrintWriter valja = vastus.getWriter();
   valja.println("<html>"+
   	 "<head><title>Sisestus</title></head>\n"+
       "<body><form><input type='text' name='eesnimi' />"+
						 "<input type='text' name='perenimi' />"+
       "</form>");
	muutuja1=kysimus.getParameter("eesnimi");
	muutuja2=kysimus.getParameter("perenimi");
	if(muutuja1==null || muutuja1.length()==0 ){muutuja1="default";}
	if(muutuja2==null || muutuja2.length()==0){muutuja2="default";}
   valja.println("Tere, "+ muutuja1.charAt(0)+". "+muutuja2);
   valja.println("</body></html>");
  }
}